> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Searches

> List BusinessSearches that resolved to this business, newest first.

Scoped to the caller's dominant scope so callers only see
searches their own organization (or application) ran.



## OpenAPI

````yaml /api-reference/openapi.json get /businesses/{id}/searches
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /businesses/{id}/searches:
    get:
      tags:
        - Business
      summary: Get Business Searches
      description: |-
        List BusinessSearches that resolved to this business, newest first.

        Scoped to the caller's dominant scope so callers only see
        searches their own organization (or application) ran.
      operationId: get_business_searches_businesses__id__searches_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Business ID
            description: The unique identifier of the Business to list searches for.
            examples:
              - 412a49b5-7466-426b-bf1e-081b00b54576
              - 9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5
          description: The unique identifier of the Business to list searches for.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: >-
              Maximum number of records to return in a single page. Must be
              between 1 and 1000.
            default: 10
            title: Limit
          description: >-
            Maximum number of records to return in a single page. Must be
            between 1 and 1000.
        - name: offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: >-
              Number of records to skip from the beginning. Use 0 for the first
              page. Cannot be used with cursor.
            title: Offset
          description: >-
            Number of records to skip from the beginning. Use 0 for the first
            page. Cannot be used with cursor.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Opaque pagination cursor token that identifies the position in the
              result set. Use the cursor from the previous response to get the
              next page. Cannot be used with offset.
            title: Cursor
          description: >-
            Opaque pagination cursor token that identifies the position in the
            result set. Use the cursor from the previous response to get the
            next page. Cannot be used with offset.
      responses:
        '200':
          description: >-
            Paginated list of BusinessSearches that resolved to this business,
            newest first. Scoped to the caller's dominant scope (organization or
            application).
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.BusinessSearchResponse'
            application/vnd.baselayer.v1+json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.BusinessSearchResponse'
          headers:
            X-Total-Count:
              description: Total number of records matching the query.
              schema:
                type: integer
            X-Total-Pages:
              description: Total number of pages available based on the current limit.
              schema:
                type: integer
            X-Next-Cursor:
              description: >-
                Cursor for the next page (only present when using the keyset
                pagination and if `has_more` is true.
              schema:
                type: string
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.BusinessSearchResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The unique identifier of the search.
        options:
          items:
            type: string
            enum:
              - Order.WebsiteAnalysis
              - Order.NaicsPrediction
              - Order.Pep
              - Order.Enhanced
            title: BusinessSearchOptions
          type: array
          title: Options
          description: Optional features enabled during search execution.
          examples:
            - - Order.WebsiteAnalysis
        orderables:
          items:
            $ref: '#/components/schemas/Orderable'
          type: array
          title: Orderables
          description: >-
            A list of associated requests that were made as a result of ordering
            optional features through the options when the search was submitted.
            This allows you to correlate associated operations that will
            complete asynchronously once the search is completed. For example,
            if you order Website Analysis when issuing the search you will have
            a corresponding WebsiteAnalysisRequest orderable containing the ID
            and URL of the forthcoming associated operations.
          default: []
          examples:
            - - id: 10a87552-c8a4-4d33-a8dc-1f734d80a9ba
                option: Order.WebsiteAnalysis
                type: WebsiteAnalysisRequest
                url: >-
                  https://api.baselayer.com/website_analysis_requests/10a87552-c8a4-4d33-a8dc-1f734d80a9ba
        user:
          anyOf:
            - $ref: '#/components/schemas/v1.UserAttributionResponse'
            - type: 'null'
          description: Details on the User who performed the search.
        state:
          $ref: '#/components/schemas/TaskState'
          description: The current state of the search.
        name:
          type: string
          title: Name
          description: The name inputted in the search.
          examples:
            - Acme Corporation
        address:
          type: string
          title: Address
          description: The address string inputted in the search.
          examples:
            - 1640 Riverside Drive, Hill Valley, CA
        search_address:
          anyOf:
            - $ref: '#/components/schemas/v1.AddressSummaryResponse'
            - type: 'null'
          description: The sanitized address inputted in the search.
        officer_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Officer Names
          description: The officer names inputted in the search.
          examples:
            - - Doc Brown
        alternative_names:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: 'null'
          title: Alternative Names
          description: The alternative names inputted in the search.
          examples:
            - - Joe's Pizza
              - Joe's Pizzeria
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
          description: The website inputted in the search.
          examples:
            - https://baselayer.com/
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
          description: The phone number inputted in the search.
          examples:
            - 636-555-3226
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The email inputted in the search.
          examples:
            - support@baselayer.com
        tin:
          anyOf:
            - type: string
            - type: 'null'
          title: Tin
          description: The TIN/EIN inputted in the search.
          examples:
            - '555666777'
        reference_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Reference Id
          description: The reference ID inputted in the search.
          examples:
            - Search1234
        tin_matched:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Tin Matched
          description: >-
            Indicates whether the inputted TIN/EIN was a match, per the IRS.  If
            a TIN is submitted with the search,                and a response of
            null is returned, this indicates that the IRS validation service is
            currently having a temporary outage.                 Please see
            status.baselayer.com for status updates.
          examples:
            - true
            - false
        tin_match_type:
          anyOf:
            - $ref: '#/components/schemas/IRSTINMatchType'
            - type: 'null'
          description: The type of match that occurred.
          examples:
            - SSN
        tin_potential_match:
          anyOf:
            - type: string
            - type: 'null'
          title: Tin Potential Match
          description: >-
            If the inputted TIN/EIN was *not* a match, but is a real
            TIN/EIN,              this field returns the name of the entity to
            whom that TIN/EIN actually belongs.
          deprecated: true
          examples:
            - Baselayer
        watchlist_hits:
          items:
            $ref: '#/components/schemas/v1.WatchlistHitResponse'
          type: array
          title: Watchlist Hits
          description: The watchlist hits associated with the searched business.
          default: []
        business_name_match:
          anyOf:
            - $ref: '#/components/schemas/MatchType'
            - type: 'null'
          description: >-
            Indicates how close the inputted name matches the found business
            entity.
          examples:
            - EXACT
        business_address_match:
          anyOf:
            - $ref: '#/components/schemas/AddressMatchType'
            - type: 'null'
          description: >-
            Indicates how close the inputted address matches the found business
            entity.
          examples:
            - EXACT
        business_officer_match:
          anyOf:
            - $ref: '#/components/schemas/MatchType'
            - type: 'null'
          description: >-
            Indicates how close the inputted officer name matches the found
            business officers.
          examples:
            - SIMILAR
        registered_agent_match:
          anyOf:
            - $ref: '#/components/schemas/MatchType'
            - type: 'null'
          description: >-
            Indicates how close the inputted officer name matches the found
            business registered agent.
          examples:
            - SIMILAR
        business_website_match:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Business Website Match
          description: Does the inputted website match the found business website?
          examples:
            - true
            - false
        business_website_redirect_match:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Business Website Redirect Match
          description: >-
            Indicates whether the website match was established via a
            cross-domain redirect. True when business_website_match is True and
            the match was found because one website redirects to the other's
            domain.
          examples:
            - true
            - false
        search_address_validation_level:
          anyOf:
            - $ref: '#/components/schemas/AddressValidationLevel'
            - type: 'null'
          description: The validation level derived during address normalization.
          examples:
            - FULL
            - PARTIAL
            - INVALID
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The datetime the search was created.
          examples:
            - '2026-08-31T10:31:07.796090'
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
          description: >-
            The datetime the search was updated at (generally when the search
            completed).
          examples:
            - '2026-08-31T10:31:07.796101'
        verified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Verified
          description: >-
            Indicates whether the found business was a close enough match to be
            considered verified.
          examples:
            - true
            - false
        scores:
          anyOf:
            - items:
                $ref: '#/components/schemas/v1.ScoreResponse'
              type: array
            - type: 'null'
          title: Scores
          description: An array containing Baselayer's ratings.
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Any errors that occurred.
        warnings:
          items:
            type: string
          type: array
          title: Warnings
          description: Any warnings that occurred.
          default: []
          examples:
            - - IRS Validation is unavailable.
        business:
          anyOf:
            - $ref: '#/components/schemas/v1.BusinessSummaryResponse'
            - type: 'null'
          description: A summary of the found business - contains the business UUID.
        url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Url
          description: The API URL to retrieve the search.
          examples:
            - >-
              https://api.baselayer.com/searches/c623e29e-1f57-11ef-938f-1edb1b067314
        status_url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Status Url
          description: The API URL to retrieve the status of the search.
          examples:
            - >-
              https://api.baselayer.com/searches/c623e29e-1f57-11ef-938f-1edb1b067314/status
        business_url:
          anyOf:
            - format: uri
              maxLength: 2083
              minLength: 1
              type: string
            - type: 'null'
          title: Business Url
          description: The API URL to retrieve the business details.
          examples:
            - >-
              https://api.baselayer.com/businesses/febe48f6-1f57-11ef-8bbf-1edb1b067314/status
        console_url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Console Url
          description: The URL to the search details in the console.
          examples:
            - >-
              https://console.baselayer.com/business/febe48f6-1f57-11ef-8bbf-1edb1b067314
      type: object
      required:
        - id
        - options
        - state
        - name
        - address
        - created_at
        - url
        - status_url
        - business_url
      title: BusinessSearchResponse (v1)
      description: Represents a business search response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Orderable:
      properties:
        type:
          $ref: '#/components/schemas/OrderableType'
          title: Orderable Type
          description: >-
            The type of optional orderable object that was requested as part of
            the Business Search options.
        id:
          type: string
          format: uuid
          title: Orderable Object Identifier
          description: The unique identifier of the orderable object.
        url:
          type: string
          title: Orderable Object URL
          description: The URL to the orderable object.
          readOnly: true
          examples:
            - >-
              https://api.baselayer.com/website_analysis_requests/9083e7e2-1f6b-11ef-8f0f-1edb1b067314
        option:
          $ref: '#/components/schemas/BusinessSearchOptionsOutput'
          title: Bussiness Search Option
          description: The business search option that requested the orderable object.
          readOnly: true
      type: object
      required:
        - type
        - id
        - url
        - option
      title: Orderable
    v1.UserAttributionResponse:
      description: |-
        Response model for user attribution operations.

        This model defines the structure for user attribution API responses.
      properties:
        id:
          description: Unique identifier for the user.
          format: uuid
          title: Id
          type: string
        first_name:
          description: First name of the user.
          examples:
            - Austin
          title: First Name
          type: string
        last_name:
          description: Last name of the user.
          examples:
            - Taylor
          title: Last Name
          type: string
        email:
          description: Email address of the user.
          examples:
            - jessicasimpson@example.com
          title: Email
          type: string
      required:
        - id
        - first_name
        - last_name
        - email
      title: UserAttributionResponse (v1)
      type: object
    TaskState:
      enum:
        - PENDING
        - EXECUTING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TaskState
      type: string
    v1.AddressSummaryResponse:
      description: |-
        Response model for address summary data.

        This model defines the structure for address summary API responses.
      properties:
        id:
          description: Unique identifier for the address.
          format: uuid
          title: Id
          type: string
        street:
          description: Street name of the address.
          examples:
            - 913 Hendrix Gardens Suite 492
          title: Street
          type: string
        city:
          description: City name of the address.
          examples:
            - Jasonfurt
          title: City
          type: string
        state:
          $ref: '#/components/schemas/v1.StateAbbreviation'
          description: State 2 letter abbreviation of the address.
          examples:
            - VA
        zip:
          description: Zip code of the address.
          examples:
            - '19773'
          title: Zip
          type: string
        latitude:
          description: Latitude of the address.
          examples:
            - 38.03012
          title: Latitude
          type: number
        longitude:
          description: Longitude of the address.
          examples:
            - 78.47665
          title: Longitude
          type: number
        rdi:
          anyOf:
            - $ref: '#/components/schemas/v1.AddressRDI'
            - type: 'null'
          default: null
          description: Residential Delivery Indicator of the address.
          examples:
            - Commercial
        deliverable:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Indicates whether the address is deliverable.
          examples:
            - false
          title: Deliverable
        cmra:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Indicates whether the address is a Commercial Mail Receiving Agency
            (CMRA).
          examples:
            - false
          title: Cmra
        url:
          anyOf:
            - format: uri
              maxLength: 2083
              minLength: 1
              type: string
            - type: 'null'
          default: null
          description: The URL to the address details.
          title: Url
        delivery_type:
          anyOf:
            - $ref: '#/components/schemas/v1.USPSDeliveryType'
            - type: 'null'
          default: null
          description: The USPS delivery type.
          examples:
            - STREET
            - FIRM
      required:
        - id
        - street
        - city
        - state
        - zip
        - latitude
        - longitude
      title: AddressSummaryResponse (v1)
      type: object
    IRSTINMatchType:
      enum:
        - SSN
        - EIN
        - UNKNOWN
      title: IRSTINMatchType
      type: string
    v1.WatchlistHitResponse:
      properties:
        code:
          description: The code of the watchlist data source.
          examples:
            - DMF
          title: Code
        name:
          $ref: '#/components/schemas/v1.WatchlistDataSource'
          description: The name of the watchlist data source.
          examples:
            - Death Master File
        count:
          description: The number of hits found in the watchlist data source.
          examples:
            - 1
            - 0
            - 5
          title: Count
          type: integer
        details:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          default: []
          description: The details of the watchlist hits.
          examples:
            - - address: 123 Main St
                date_of_birth: '1980-01-01'
                name: John Doe
          title: Details
      required:
        - code
        - name
        - count
      title: WatchlistHitResponse (v1)
      type: object
    MatchType:
      enum:
        - NO_MATCH
        - SIMILAR
        - EXACT
      title: MatchType
      type: string
    AddressMatchType:
      enum:
        - NO_MATCH
        - CITY
        - STATE
        - SIMILAR
        - EXACT
      title: AddressMatchType
      type: string
    AddressValidationLevel:
      enum:
        - FULL
        - PARTIAL
        - INVALID
      title: AddressValidationLevel
      type: string
    v1.ScoreResponse:
      properties:
        type:
          $ref: '#/components/schemas/v1.ScoreType'
          description: The type of score.
          examples:
            - risk
        score:
          description: The score value.
          examples:
            - 95
          title: Score
          type: number
        rating:
          description: The rating associated with the score.
          examples:
            - A
            - B
          title: Rating
          type: string
      required:
        - type
        - score
        - rating
      title: ScoreResponse (v1)
      type: object
    v1.BusinessSummaryResponse:
      description: Response model for business summary data.
      properties:
        id:
          description: Unique identifier for the business.
          format: uuid
          title: Id
          type: string
        name:
          description: >-
            The name of the business, determined by the name found on the
            domestic registration.
          examples:
            - Hamilton-Olson
          title: Name
          type: string
        address:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The primary address associated with the business entity.
          examples:
            - 63788 Paige Lane Cooperfurt, MI 10037
          title: Address
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The primary phone number found associated with the business.
          examples:
            - 955-714-3269
          title: Phone Number
        email:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The primary email address found associated with the business.
          examples:
            - javier01@example.net
          title: Email
        website:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The primary website found associated with the business.
          examples:
            - https://jones.com/
          title: Website
        url:
          description: The URL to the business details.
          examples:
            - >-
              https://api.baselayer.com/businesses/9083e7e2-1f6b-11ef-8f0f-1edb1b067314
          format: uri
          maxLength: 2083
          minLength: 1
          title: Url
          type: string
        console_url:
          description: The URL to the business details in the console.
          examples:
            - >-
              https://console.baselayer.com/business/9083e7e2-1f6b-11ef-8f0f-1edb1b067314
          format: uri
          maxLength: 2083
          minLength: 1
          title: Console Url
          type: string
      required:
        - id
        - name
      title: BusinessSummaryResponse (v1)
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OrderableType:
      enum:
        - WebsiteAnalysisRequest
        - NAICSPredictionRequest
      title: OrderableType
      type: string
    BusinessSearchOptionsOutput:
      enum:
        - Order.WebsiteAnalysis
        - Order.NaicsPrediction
        - Order.Pep
        - Order.Enhanced
      title: BusinessSearchOptionsOutput
      type: string
    v1.StateAbbreviation:
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - PR
        - VI
        - AE
        - AA
        - AP
        - GU
        - AS
      title: StateAbbreviation
      type: string
    v1.AddressRDI:
      enum:
        - Residential
        - Commercial
      title: AddressRDI
      type: string
    v1.USPSDeliveryType:
      description: |-
        Enum representing the different types of USPS delivery points.
        Used to classify addresses based on how mail is delivered to them.
      enum:
        - FIRM
        - GENERAL_DELIVERY
        - HIGH_RISE
        - POST_OFFICE
        - RURAL_ROUTE
        - STREET
      title: USPSDeliveryType
      type: string
    v1.WatchlistDataSource:
      enum:
        - Death Master File
        - Department of Treasury, Office of Foreign Assets Control
        - Politically Exposed Persons
        - IRS Exempt Organizations List
        - FBI Wanted List
        - Department of Commerce, Consolidated Screening List
        - Consolidated Canadian Autonomous Sanctions List
        - HHS OIG List of Excluded Individuals/Entities
        - Baselayer Fraud Consortium
      title: WatchlistDataSource
      type: string
    v1.ScoreType:
      enum:
        - fraud
        - risk
        - kyb
      title: ScoreType
      type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````